MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025767Open CASCADE[OCCT] OCCT:Visualizationpublic2015-01-30 12:242015-05-14 16:28
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025767: "vdisplay" command rises exception
DescriptionDraw[6]> vdisplay res_1
An exception was caught 6988E7D8 : Standard_ProgramError: *** ERROR: ASSERT in file '..\..\..\src\Graphic3d\Graphic3d_Camera.cxx':
ZFar should be greater than ZNear (theZFar > theZNear)
** Exception ** 6988E7D8 : Standard_ProgramError: *** ERROR: ASSERT in file '..\..\..\src\Graphic3d\Graphic3d_Camera.cxx':
ZFar should be greater than ZNear (theZFar > theZNear)
Draw[7]> vdisplay res_2
An exception was caught 6988E7D8 : Standard_ProgramError: *** ERROR: ASSERT in file '..\..\..\src\Graphic3d\Graphic3d_Camera.cxx':
ZFar should be greater than ZNear (theZFar > theZNear)
** Exception ** 6988E7D8 : Standard_ProgramError: *** ERROR: ASSERT in file '..\..\..\src\Graphic3d\Graphic3d_Camera.cxx':
ZFar should be greater than ZNear (theZFar > theZNear)


It seems that double overflow occurred, due to value (E+102) in input shape.
Steps To Reproduce
pload VISUALIZATION
vinit View
vclear
vaxo
vpoint p1 -108.4710001 -108.56800009999999 -145.30700009999998
vpoint p2 8.4813999999999999e+102 117.1230001 128.35480981703273
vfit


Original test case:
test de iges_2 H9

vdisplay res_1
vdisplay res_2
TagsNo tags attached.
Test case numberbugs vis bug25767
Attached Files

- Relationships
related to 0026043closedbugmaster Open CASCADE Visualization, TKV3d - exception is raised during displaying bad dimension 

-  Notes
(0039547)
kgv (developer)
2015-04-10 09:13

Dear bugmaster,

please switch to verified.
The issue has been taken into account within patch for #0025935.
(0039630)
bugmaster (administrator)
2015-04-13 14:33

Dear APN,

Please create testing case
(0040065)
git (administrator)
2015-04-20 19:27

Branch CR25767 has been created by apn.

SHA-1: bbfb887aab5d0aee004e5bf69d56b8114b76d9e8


Detailed log of new commits:

Author: apn
Date: Mon Apr 20 19:27:19 2015 +0300

    0025767: "vdisplay" command rises exception
    
    Added test case bugs/vis/bug25767
(0040066)
apn (administrator)
2015-04-20 19:28

Test case:
bugs vis bug25767 - OK
(0040991)
git (administrator)
2015-05-14 16:28

Branch CR25767 has been deleted by inv.

SHA-1: bbfb887aab5d0aee004e5bf69d56b8114b76d9e8

- Related Changesets
occt: master 74f91efc
Timestamp: 2015-04-20 16:27:19
Author: apn
Committer: bugmaster
Details ] Diff ]
0025767: "vdisplay" command rises exception

Added test case bugs/vis/bug25767
add - tests/bugs/vis/bug25767 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-30 12:24 aml New Issue
2015-01-30 12:24 aml Assigned To => kgv
2015-01-30 12:24 aml Relationship added related to 0022598
2015-01-30 12:49 kgv Steps to Reproduce Updated View Revisions
2015-03-13 17:33 kgv Relationship added has duplicate 0025935
2015-04-10 09:12 kgv Relationship added related to 0026043
2015-04-10 09:13 kgv Note Added: 0039547
2015-04-10 09:13 kgv Assigned To kgv => bugmaster
2015-04-10 09:13 kgv Status new => feedback
2015-04-10 09:14 kgv Product Version 6.9.0 => 6.8.0
2015-04-13 14:33 bugmaster Note Added: 0039630
2015-04-13 14:33 bugmaster Assigned To bugmaster => apn
2015-04-13 14:33 bugmaster Status feedback => assigned
2015-04-20 19:27 git Note Added: 0040065
2015-04-20 19:28 apn Note Added: 0040066
2015-04-20 19:29 apn Test case number => bugs vis bug25767
2015-04-20 19:29 apn Assigned To apn => bugmaster
2015-04-20 19:29 apn Status assigned => resolved
2015-04-20 19:29 apn Status resolved => reviewed
2015-04-20 19:29 apn Status reviewed => tested
2015-04-25 17:37 bugmaster Changeset attached => occt master 74f91efc
2015-04-25 17:37 bugmaster Status tested => verified
2015-04-25 17:37 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:28 git Note Added: 0040991


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker